const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class FitaxcompanyService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(FitaxcompanyService));
    }

    async insertInfo(qobj) {//插入企业信息
        var self = this;
        return await self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj, t);
        });
    }

    async updateInfo(qobj) {//修改企业信息
        var self = this;
        return await self.db.transaction(async function (t) {
            return await self.dao.updateInfo(qobj, t);
        })
    }

    async findInfo(qobj) {//查询企业信息
        let res = await this.dao.findInfo(qobj);
        return res;
    }
}
module.exports = FitaxcompanyService;